Skip to content

Alpha
Lookup IP

Request

In Development

This operation is actively being developed. Breaking changes should be expected.

Please contact us before using this operation.

Looks up an IPv4 or IPv6 address against the token-linked threat intelligence source and returns normalized reputation and context. A lookup that finds no intel records is a successful response with an empty osint array.

Operation ID: threatintel_lookup_ip

Security
BearerAuth
Query
metaArray of strings

Add metadata to the response by invoking meta functions. Documentation for meta functions is available. Not all meta functions are available at every endpoint.

include_raw_databoolean or null

Include the raw data from the provider in the response. Defaults to false.

Bodyapplication/jsonrequired
valuestringrequired

The IPv4 or IPv6 address to look up.

curl
curl -i -X POST \
  https://api.synqly.com/v1/threat-intel/lookup/ip \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "value": "string"
  }'

Responses

Bodyapplication/json
resultobject(ocsfv1.8.0osintinventoryinfoOsintInventoryInfo)required

Normalized reputation and context for the queried IP address, as an OCSF OSINT Inventory Info event (class_uid 5021). Each intel record the provider returned is one entry in the osint array; a lookup that finds no records is a successful response with an empty array.

messagesobject or null(MessagesResponse)

Additional messages from the service response that may be helpful to the client.

metaobject or null(MetaResponse)

Various metadata about the results organized by group, then type, then field.

Response
{ "result": { "activity_id": 0, "activity_name": "string", "actor": { … }, "category_name": "string", "category_uid": 0, "class_uid": 0, "count": 0, "duration": 0, "end_time": 0, "end_time_dt": "2019-08-24T14:15:22Z", "enrichments": [ … ], "message": "string", "metadata": { … }, "observables": [ … ], "osint": [ … ], "raw_data": "string", "raw_data_hash": { … }, "raw_data_size": 0, "severity": "string", "severity_id": 0, "start_time": 0, "start_time_dt": "2019-08-24T14:15:22Z", "status": "string", "status_code": "string", "status_detail": "string", "status_id": 0, "time": 0, "time_dt": "2019-08-24T14:15:22Z", "timezone_offset": 0, "type_name": "string", "type_uid": 0, "unmapped": {} }, "messages": { "problems": [ … ] }, "meta": { "stats": { … }, "api": { … }, "mapping": { … } } }